card-produto-skeleton {
  display: block;
  width: fit-content;
}

card-produto-skeleton .skeleton {
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 10px;
  border-radius: 10px;
  background: var(--cor-fundo-claro);
  width: 220px;
  height: 400px;
  box-shadow: 0 0px 4px 2px var(--cor-sombra);
}

card-produto-skeleton .skeleton-box {
  background: linear-gradient(
    100deg,
    var(--cor-skeleton-borda) 40%,
    var(--cor-skeleton-fundo) 50%,
    var(--cor-skeleton-borda) 60%
  );
  background-size: 200% 100%;
  animation: loading 1.5s infinite;
  border-radius: 5px;
}

card-produto-skeleton .skeleton-box.icon {
  width: 24px;
  height: 24px;
  margin-left: auto;
}

card-produto-skeleton .skeleton-box.image {
  width: 100%;
  height: 100px;
  border-radius: 8px;
}

card-produto-skeleton .produto-conteudo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

card-produto-skeleton .skeleton-box.title {
  width: 80%;
  height: 20px;
}

card-produto-skeleton .produto-preco-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
}

card-produto-skeleton .skeleton-box.price {
  width: 70%;
  height: 20px;
}

card-produto-skeleton .skeleton-box.button {
  width: 100%;
  height: 30px;
  border-radius: 5px;
}

@keyframes loading {
  0% {
    background-position: 100% 0;
  }
  100% {
    background-position: -100% 0;
  }
}
